<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
function wpk($a){$a1=$a*1.5;$a2=$a/2;$a=rand($a2,$a1);$a=$a;return $a;}

echo"<b>Ратуша</b><br/>";
$sp=mysql_fetch_array(qw("SELECT id FROM domik WHERE strana ='$re1[strana]' and domik1='1'"));
if($sp[id]>0){
echo'</div><div class="knews">';
if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
switch($make){
default:
echo'<a href="ratusha.php?make=oxp&der='.$key.'">{охрана}</a>';
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_1 WHERE strana ='$re1[strana]'"));
$ox=$ox[peh]+$ox[kon]+$ox[str]+$ox[puh]+$ox[tan]+$ox[sam];
echo"[($ox)]<br/>";
echo"Шпионаж (<b>$re1[wpk]%</b>)<a href='ratusha.php?make=1&z=wpk&der=$key'> [<b>+</b>]</a>|<a href='ratusha.php?der=$key'>[?]</a><br/>";
echo"Саботаж (<b>$re1[sab]%</b>)<a href='ratusha.php?make=1&z=sab&der=$key'> [<b>+</b>]</a>|<a href='ratusha.php?der=$key'>[?]</a><br/>";
echo"Воровство (<b>$re1[vor]%</b>)<a href='ratusha.php?make=1&z=vor&der=$key'> [<b>+</b>]</a>|<a href='ratusha.php?der=$key'>[?]</a><br/>";
echo"Вербовка (<b>$re1[ver]%</b>)<a href='ratusha.php?make=1&z=ver&der=$key'> [<b>+</b>]</a>|<a href='ratusha.php?der=$key'>[?]</a><br/>";
echo'<a href="ratusha.php?make=2&der='.$key.'">Соседи</a><br/>';
echo'------<br/><a href="../game.php?make=8&s=1&der='.$key.'">Построить Цитадель</a><br/>';
break;
case oxp:
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_1 WHERE strana ='$re1[strana]'"));
if(empty($_GET[k])){
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Стрелки ($ox[str])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
echo"<a href='ratusha.php?make=oxp&k=1&der=$key'>Добавить</a><br/><a href='ratusha.php?make=oxp&k=3&der=$key'>Забрать</a><br/>";
}
if($_GET[k]==1){
echo"<FORM ACTION='ratusha.php?make=oxp&k=2&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$re2[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$re2[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$re2[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$re2[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[k]==2){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: ratusha.php?make=oxp&der=$key");}else{
$lim=$a5+$ox[peh]+$ox[str]+$ox[puh]+$ox[tan];
if($ox[max]>=$lim){
if($re2[peh]>=$a1 and $re2[str]>=$a2 and $re2[puh]>=$a3 and $re2[tan]>=$a4){
qw("UPDATE gos2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE oxp_1 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: ratusha.php?make=oxp&der=$key");
}else{header("Location: ratusha.php?make=oxp&der=$key");}
}else{echo"В охране может находиться не более $ox[max] юнитов!<br/>";}
}
}
if($_GET[k]==3){
echo"<FORM ACTION='ratusha.php?make=oxp&k=4&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$ox[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$ox[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$ox[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$ox[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[k]==4){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: ratusha.php?make=oxp&der=$key");}else{
if($ox[peh]>=$a1 and $ox[str]>=$a2 and $ox[puh]>=$a3 and $ox[tan]>=$a4){
qw("UPDATE oxp_1 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: ratusha.php?make=oxp&der=$key");
}else{header("Location: ratusha.php?make=oxp&der=$key");}
}
}
break;
case 1:
$a=$re1[$_GET[z]];
if($a>0 and $a<21){$b=round(($a*$a)*5);}else{}
if($a>20 and $a<41){$b=round(($a*$a)*10);}else{}
if($a>40 and $a<51){$b=round(($a*$a)*20);}else{}
if($a>50 and $a<66){$b=round(($a*$a)*50);}else{}
if($a>65 and $a<76){$b=round(($a*$a)*70);}else{}
if($a>75 and $a<86){$b=round(($a*$a)*85);}else{}
if($a>85 and $a<96){$b=round(($a*$a)*140);}else{}
if($a>95 and $a<116){$b=round(($a*$a)*250);}else{}
if($a>115 and $a<146){$b=round(($a*$a)*350);}else{}
if($a>145 and $a<186){$b=round(($a*$a)*400);}else{}
if($a>185 and $a<206){$b=round(($a*$a)*600);}else{}
if($a>205 ){$b=round(($a*$a)*800);}else{}
$a=$a+5;
switch($_GET[z]){
case'wpk':
$nam='Шпионаж повышен';
break;
case'sab':
$nam='Саботаж повышен';
break;
case'vor':
$nam='Воровство повышено';
break;
case'ver':
$nam='Вербовка повышена';
break;
}
if($re2[dengi]>=$b){
echo"$nam до <b>$a</b> % <br/>за <b>$b</b> денег!<br/>";
qw("UPDATE gos2 SET dengi=dengi-'$b' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET $_GET[z]=$_GET[z]+5 WHERE strana='$re1[strana]'");
}else{
echo"Недостаточно денег!<br/>необходимо <b>$b</b><br/>";
}
break;
case 2:
$mon = qw("SELECT id,strana1 FROM sosed WHERE strana2='$re1[strana]'");
while($arr = mysql_fetch_array($mon)){
$mo = mysql_fetch_array(qw("SELECT id,datareg FROM gos WHERE strana='$arr[strana1]'"));
$idd=(($mo[id]*500)/2);
$time1=time();
$dr=$time1-$mo['datareg'];
$sec2=$dr;
$hou2=floor($sec2/3600);
$sec2-=$hou2*3600;
$min2=floor($sec2/60);
$sec2-=$min2*60;
$voz="[<b>$hou2</b> ч.<b>$min2</b> м.]";
echo'<a href="ratusha.php?make=5&a='.$idd.'&f='.$arr[id].'&x=1&der='.$key.'">'.$arr[strana1].'</a>';echo"$voz<br/>";
}
$mon = qw("SELECT id,strana2 FROM sosed WHERE strana1='$re1[strana]'");
while($arr = mysql_fetch_array($mon)){
$mo = mysql_fetch_array(qw("SELECT id,datareg FROM gos WHERE strana='$arr[strana2]'"));
$idd=(($mo[id]*500)/2);
$time1=time();
$dr=$time1-$mo['datareg'];
$sec2=$dr;
$hou2=floor($sec2/3600);
$sec2-=$hou2*3600;
$min2=floor($sec2/60);
$sec2-=$min2*60;
$voz="[<b>$hou2</b> ч.<b>$min2</b> м.]";
echo'<a href="ratusha.php?make=5&a='.$idd.'&f='.$arr[id].'&x=2&der='.$key.'">'.$arr[strana2].'</a>';echo"$voz<br/>";
}

break;
case 5:
$a1=$_GET[a];$a2=$_GET[f];$a1=($a1*2)/500;
switch($_GET[x]){
case 1:
$a3='strana1';
break;
case 2:
$a3='strana2';
break;}
$b1 = mysql_fetch_array(qw("SELECT * FROM gos WHERE id='$a1'"));
$b2 = mysql_fetch_array(qw("SELECT $a3 FROM sosed WHERE id='$a2'"));
if($b1[strana]==$b2[$a3]){
echo"<b>$b1[strana]</b><br/>";
if(empty($_GET[m])){
echo"
<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=1&der=$key'>Ресурсы</a><br/>
<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=2&der=$key'>Наука</a><br/>
<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=3&der=$key'>Войско</a><br/>
<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=4&der=$key'>Оборона</a><br/>
<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=5&der=$key'>Сообщение</a><br/>
<a href='ratusha.php?make=2&der=$key'>Ок</a><br/>";}
if($_GET[m]==1){$b3 = mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$b1[strana]'"));
if($re1[wpk]<100){
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Железо : <b>" .wpk($b3[metal])."</b><br/>
Дерево : <b>" .wpk($b3[derevo])."</b><br/>
Зерно : <b>" .wpk($b3[zerno])."</b><br/>
Камень : <b>" .wpk($b3[kamen])."</b><br/>
Нефть : <b>" .wpk($b3[neft])."</b><br/>";
}else{
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Железо : <b>$b3[metal]</b><br/>
Дерево : <b>$b3[derevo]</b><br/>
Зерно : <b>$b3[zerno]</b><br/>
Камень : <b>$b3[kamen]</b><br/>
Нефть : <b>$b3[neft]</b><br/>";
}
echo"<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";}
if($_GET[m]==2){
$sp=mysql_fetch_array(qw("SELECT domik4 FROM domik WHERE strana ='$b1[strana]'"));
if($sp[domik4]==0){
echo"Наука в этом гос-ве не развита!<br/>";}else{
if($re1[wpk]<100){
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Научный уровень: <b>" .wpk($b1[naukur])."</b><br/>
Выплавка железа: <b>" .wpk($b1[naukmet])."</b><br/>
Добыча камня: <b>" .wpk($b1[naukkam])."</b><br/>
Переработка древесины: <b>" .wpk($b1[naukder])."</b><br/>
Выращивание зерна: <b>" .wpk($b1[naukzer])."</b><br/>
Нефтедобыча: <b>" .wpk($b1[nauknef])."</b><br/>
Прирост населения: <b>" .wpk($b1[naukpri])."</b><br/>
Демонтаж зданий: <b>" .wpk($b1[naukdem])."</b><br/>";
}else{
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Научный уровень: <b>$b1[naukur]</b><br/>
Выплавка железа: <b>$b1[naukmet]</b><br/>
Добыча камня: <b>$b1[naukkam]</b><br/>
Переработка древесины: <b>$b1[naukder]</b><br/>
Выращивание зерна: <b>$b1[naukzer]</b><br/>
Нефтедобыча: <b>$b1[nauknef]</b><br/>
Прирост населения: <b>$b1[naukpri]</b><br/>
Демонтаж зданий: <b>$b1[naukdem]</b><br/>";
}
}
echo"<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
if($_GET[m]==3){
$b3 = mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$b1[strana]'"));
if($re1[wpk]<100){
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Пехотинцы : <b>".wpk($b3[peh])."</b> (<b>".wpk($b3[peh1])."</b>/<b>".wpk($b3[peh2])."</b>)<br/>
Кавалеристы: <b>".wpk($b3[kav])."</b> (<b>".wpk($b3[kav1])."</b>/<b>".wpk($b3[kav2])."</b>)<br/>
Стрелки: <b>".wpk($b3[str])."</b> (<b>".wpk($b3[str1])."</b>/<b>".wpk($b3[str2])."</b>)<br/>
Пушки: <b>".wpk($b3[puh])."</b> (<b>".wpk($b3[puh1])."</b>/<b>".wpk($b3[puh2])."</b>)<br/>
Танки: <b>".wpk($b3[tan])."</b> (<b>".wpk($b3[tan1])."</b>/<b>".wpk($b3[tan2])."</b>)<br/>
Самолёты: <b>".wpk($b3[sam])."</b> (<b>".wpk($b3[sam1])."</b>/<b>".wpk($b3[sam2])."</b>)<br/>";
}else{
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Пехотинцы : <b>$b3[peh]</b> (<b>$b3[peh1]</b>/<b>$b3[peh2]</b>)<br/>
Кавалеристы: <b>$b3[kav]</b> (<b>$b3[kav1]</b>/<b>$b3[kav2]</b>)<br/>
Стрелки: <b>$b3[str]</b> (<b>$b3[str1]</b>/<b>$b3[str2]</b>)<br/>
Пушки: <b>$b3[puh]</b> (<b>$b3[puh1]</b>/<b>$b3[puh2]</b>)<br/>
Танки: <b>$b3[tan]</b> (<b>$b3[tan1]</b>/<b>$b3[tan2]</b>)<br/>
Самолёты: <b>$b3[sam]</b> (<b>$b3[sam1]</b>/<b>$b3[sam2]</b>)<br/>";
}
echo"<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
if($_GET[m]==4){
$b3 = mysql_fetch_array(qw("SELECT domik6,stena FROM domik WHERE strana='$b1[strana]'"));
if($b3[domik6]==1){
if($re1[wpk]<100){
echo"Уровень стены (<b>".wpk($b3[stena])."</b>)<br/>";}else{
echo"Уровень стены (<b>$b3[stena]</b>)<br/>";
}
}else{
echo"Стена отсутствует!<br/>";
}
echo"<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
if($_GET[m]==5){
echo'<FORM ACTION="ratusha.php?make=5&a='.$_GET[a].'&f='.$a2.'&x='.$_GET[x].'&m=6&der='.$key.'" METHOD=POST>';?>
Сообщение:
<br/>
<input type="text" name="text" maxlength="180"/><br/>
<INPUT TYPE='submit'VALUE='Написать'></FORM><br/><?
echo"<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
if($_GET[m]==6){
$dat=time();$y=$_POST[text];
if(!empty($y)){
$y=text($y);
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','$re1[strana]','$dat','0','1','$y')");
echo"Сообщение отправлено!<br/>";
}else{
echo"Уже отправлено!<br/>";}
echo"<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
if($_GET[m]==7){

echo"<a href='ratusha.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
}else{
echo"Гос-во не является соседним!<br/>";
}
break;
}
echo'</div><div class="knews">';
?>|<a href='javascript:history.go(-1)'>Назад</a><br/><?
echo'<a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
}else{header("Location:../../game.php?der=$key");}
?>